<?php



$tdataassegnatoadminv80_locking = array();
$tdataassegnatoadminv80_locking[".searchableFields"] = array();
$tdataassegnatoadminv80_locking[".ShortName"] = "assegnatoadminv80_locking";
$tdataassegnatoadminv80_locking[".OwnerID"] = "";
$tdataassegnatoadminv80_locking[".OriginalTable"] = "assegnatoadminv80_locking";


$tdataassegnatoadminv80_locking[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataassegnatoadminv80_locking[".originalPagesByType"] = $tdataassegnatoadminv80_locking[".pagesByType"];
$tdataassegnatoadminv80_locking[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataassegnatoadminv80_locking[".originalPages"] = $tdataassegnatoadminv80_locking[".pages"];
$tdataassegnatoadminv80_locking[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataassegnatoadminv80_locking[".originalDefaultPages"] = $tdataassegnatoadminv80_locking[".defaultPages"];

//	field labels
$fieldLabelsassegnatoadminv80_locking = array();
$fieldToolTipsassegnatoadminv80_locking = array();
$pageTitlesassegnatoadminv80_locking = array();
$placeHoldersassegnatoadminv80_locking = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsassegnatoadminv80_locking["Portuguese(Standard)"] = array();
	$fieldToolTipsassegnatoadminv80_locking["Portuguese(Standard)"] = array();
	$placeHoldersassegnatoadminv80_locking["Portuguese(Standard)"] = array();
	$pageTitlesassegnatoadminv80_locking["Portuguese(Standard)"] = array();
	$fieldLabelsassegnatoadminv80_locking["Portuguese(Standard)"]["id"] = "Id";
	$fieldToolTipsassegnatoadminv80_locking["Portuguese(Standard)"]["id"] = "";
	$placeHoldersassegnatoadminv80_locking["Portuguese(Standard)"]["id"] = "";
	$fieldLabelsassegnatoadminv80_locking["Portuguese(Standard)"]["table"] = "Table";
	$fieldToolTipsassegnatoadminv80_locking["Portuguese(Standard)"]["table"] = "";
	$placeHoldersassegnatoadminv80_locking["Portuguese(Standard)"]["table"] = "";
	$fieldLabelsassegnatoadminv80_locking["Portuguese(Standard)"]["startdatetime"] = "Startdatetime";
	$fieldToolTipsassegnatoadminv80_locking["Portuguese(Standard)"]["startdatetime"] = "";
	$placeHoldersassegnatoadminv80_locking["Portuguese(Standard)"]["startdatetime"] = "";
	$fieldLabelsassegnatoadminv80_locking["Portuguese(Standard)"]["confirmdatetime"] = "Confirmdatetime";
	$fieldToolTipsassegnatoadminv80_locking["Portuguese(Standard)"]["confirmdatetime"] = "";
	$placeHoldersassegnatoadminv80_locking["Portuguese(Standard)"]["confirmdatetime"] = "";
	$fieldLabelsassegnatoadminv80_locking["Portuguese(Standard)"]["keys"] = "Keys";
	$fieldToolTipsassegnatoadminv80_locking["Portuguese(Standard)"]["keys"] = "";
	$placeHoldersassegnatoadminv80_locking["Portuguese(Standard)"]["keys"] = "";
	$fieldLabelsassegnatoadminv80_locking["Portuguese(Standard)"]["sessionid"] = "Sessionid";
	$fieldToolTipsassegnatoadminv80_locking["Portuguese(Standard)"]["sessionid"] = "";
	$placeHoldersassegnatoadminv80_locking["Portuguese(Standard)"]["sessionid"] = "";
	$fieldLabelsassegnatoadminv80_locking["Portuguese(Standard)"]["userid"] = "Userid";
	$fieldToolTipsassegnatoadminv80_locking["Portuguese(Standard)"]["userid"] = "";
	$placeHoldersassegnatoadminv80_locking["Portuguese(Standard)"]["userid"] = "";
	$fieldLabelsassegnatoadminv80_locking["Portuguese(Standard)"]["action"] = "Action";
	$fieldToolTipsassegnatoadminv80_locking["Portuguese(Standard)"]["action"] = "";
	$placeHoldersassegnatoadminv80_locking["Portuguese(Standard)"]["action"] = "";
	if (count($fieldToolTipsassegnatoadminv80_locking["Portuguese(Standard)"]))
		$tdataassegnatoadminv80_locking[".isUseToolTips"] = true;
}


	$tdataassegnatoadminv80_locking[".NCSearch"] = true;



$tdataassegnatoadminv80_locking[".shortTableName"] = "assegnatoadminv80_locking";
$tdataassegnatoadminv80_locking[".nSecOptions"] = 0;

$tdataassegnatoadminv80_locking[".mainTableOwnerID"] = "";
$tdataassegnatoadminv80_locking[".entityType"] = 0;

$tdataassegnatoadminv80_locking[".strOriginalTableName"] = "assegnatoadminv80_locking";

	



$tdataassegnatoadminv80_locking[".showAddInPopup"] = false;

$tdataassegnatoadminv80_locking[".showEditInPopup"] = false;

$tdataassegnatoadminv80_locking[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataassegnatoadminv80_locking[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataassegnatoadminv80_locking[".listAjax"] = false;
//	temporary
$tdataassegnatoadminv80_locking[".listAjax"] = false;

	$tdataassegnatoadminv80_locking[".audit"] = false;

	$tdataassegnatoadminv80_locking[".locking"] = false;


$pages = $tdataassegnatoadminv80_locking[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataassegnatoadminv80_locking[".edit"] = true;
	$tdataassegnatoadminv80_locking[".afterEditAction"] = 1;
	$tdataassegnatoadminv80_locking[".closePopupAfterEdit"] = 1;
	$tdataassegnatoadminv80_locking[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataassegnatoadminv80_locking[".add"] = true;
$tdataassegnatoadminv80_locking[".afterAddAction"] = 1;
$tdataassegnatoadminv80_locking[".closePopupAfterAdd"] = 1;
$tdataassegnatoadminv80_locking[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataassegnatoadminv80_locking[".list"] = true;
}



$tdataassegnatoadminv80_locking[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataassegnatoadminv80_locking[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataassegnatoadminv80_locking[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataassegnatoadminv80_locking[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataassegnatoadminv80_locking[".printFriendly"] = true;
}



$tdataassegnatoadminv80_locking[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataassegnatoadminv80_locking[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataassegnatoadminv80_locking[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataassegnatoadminv80_locking[".isUseAjaxSuggest"] = true;

$tdataassegnatoadminv80_locking[".rowHighlite"] = true;



			

$tdataassegnatoadminv80_locking[".ajaxCodeSnippetAdded"] = false;

$tdataassegnatoadminv80_locking[".buttonsAdded"] = false;

$tdataassegnatoadminv80_locking[".addPageEvents"] = false;

// use timepicker for search panel
$tdataassegnatoadminv80_locking[".isUseTimeForSearch"] = false;




$tdataassegnatoadminv80_locking[".allSearchFields"] = array();
$tdataassegnatoadminv80_locking[".filterFields"] = array();
$tdataassegnatoadminv80_locking[".requiredSearchFields"] = array();

$tdataassegnatoadminv80_locking[".googleLikeFields"] = array();
$tdataassegnatoadminv80_locking[".googleLikeFields"][] = "id";
$tdataassegnatoadminv80_locking[".googleLikeFields"][] = "table";
$tdataassegnatoadminv80_locking[".googleLikeFields"][] = "startdatetime";
$tdataassegnatoadminv80_locking[".googleLikeFields"][] = "confirmdatetime";
$tdataassegnatoadminv80_locking[".googleLikeFields"][] = "keys";
$tdataassegnatoadminv80_locking[".googleLikeFields"][] = "sessionid";
$tdataassegnatoadminv80_locking[".googleLikeFields"][] = "userid";
$tdataassegnatoadminv80_locking[".googleLikeFields"][] = "action";



$tdataassegnatoadminv80_locking[".tableType"] = "list";

$tdataassegnatoadminv80_locking[".printerPageOrientation"] = 0;
$tdataassegnatoadminv80_locking[".nPrinterPageScale"] = 100;

$tdataassegnatoadminv80_locking[".nPrinterSplitRecords"] = 40;

$tdataassegnatoadminv80_locking[".geocodingEnabled"] = false;










$tdataassegnatoadminv80_locking[".pageSize"] = 999;

$tdataassegnatoadminv80_locking[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataassegnatoadminv80_locking[".strOrderBy"] = $tstrOrderBy;

$tdataassegnatoadminv80_locking[".orderindexes"] = array();

$tdataassegnatoadminv80_locking[".sqlHead"] = "SELECT id,  	`table`,  	startdatetime,  	confirmdatetime,  	`keys`,  	sessionid,  	userid,  	`action`";
$tdataassegnatoadminv80_locking[".sqlFrom"] = "FROM assegnatoadminv80_locking";
$tdataassegnatoadminv80_locking[".sqlWhereExpr"] = "";
$tdataassegnatoadminv80_locking[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataassegnatoadminv80_locking[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataassegnatoadminv80_locking[".arrGroupsPerPage"] = $arrGPP;

$tdataassegnatoadminv80_locking[".highlightSearchResults"] = true;

$tableKeysassegnatoadminv80_locking = array();
$tableKeysassegnatoadminv80_locking[] = "id";
$tdataassegnatoadminv80_locking[".Keys"] = $tableKeysassegnatoadminv80_locking;


$tdataassegnatoadminv80_locking[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "assegnatoadminv80_locking";
	$fdata["Label"] = GetFieldLabel("assegnatoadminv80_locking","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataassegnatoadminv80_locking["id"] = $fdata;
		$tdataassegnatoadminv80_locking[".searchableFields"][] = "id";
//	table
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "table";
	$fdata["GoodName"] = "table";
	$fdata["ownerTable"] = "assegnatoadminv80_locking";
	$fdata["Label"] = GetFieldLabel("assegnatoadminv80_locking","table");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "table";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`table`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=300";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataassegnatoadminv80_locking["table"] = $fdata;
		$tdataassegnatoadminv80_locking[".searchableFields"][] = "table";
//	startdatetime
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "startdatetime";
	$fdata["GoodName"] = "startdatetime";
	$fdata["ownerTable"] = "assegnatoadminv80_locking";
	$fdata["Label"] = GetFieldLabel("assegnatoadminv80_locking","startdatetime");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "startdatetime";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "startdatetime";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataassegnatoadminv80_locking["startdatetime"] = $fdata;
		$tdataassegnatoadminv80_locking[".searchableFields"][] = "startdatetime";
//	confirmdatetime
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "confirmdatetime";
	$fdata["GoodName"] = "confirmdatetime";
	$fdata["ownerTable"] = "assegnatoadminv80_locking";
	$fdata["Label"] = GetFieldLabel("assegnatoadminv80_locking","confirmdatetime");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "confirmdatetime";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "confirmdatetime";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataassegnatoadminv80_locking["confirmdatetime"] = $fdata;
		$tdataassegnatoadminv80_locking[".searchableFields"][] = "confirmdatetime";
//	keys
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "keys";
	$fdata["GoodName"] = "keys";
	$fdata["ownerTable"] = "assegnatoadminv80_locking";
	$fdata["Label"] = GetFieldLabel("assegnatoadminv80_locking","keys");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "keys";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`keys`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=300";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataassegnatoadminv80_locking["keys"] = $fdata;
		$tdataassegnatoadminv80_locking[".searchableFields"][] = "keys";
//	sessionid
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "sessionid";
	$fdata["GoodName"] = "sessionid";
	$fdata["ownerTable"] = "assegnatoadminv80_locking";
	$fdata["Label"] = GetFieldLabel("assegnatoadminv80_locking","sessionid");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "sessionid";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sessionid";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataassegnatoadminv80_locking["sessionid"] = $fdata;
		$tdataassegnatoadminv80_locking[".searchableFields"][] = "sessionid";
//	userid
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "userid";
	$fdata["GoodName"] = "userid";
	$fdata["ownerTable"] = "assegnatoadminv80_locking";
	$fdata["Label"] = GetFieldLabel("assegnatoadminv80_locking","userid");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "userid";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "userid";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=300";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataassegnatoadminv80_locking["userid"] = $fdata;
		$tdataassegnatoadminv80_locking[".searchableFields"][] = "userid";
//	action
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "action";
	$fdata["GoodName"] = "action";
	$fdata["ownerTable"] = "assegnatoadminv80_locking";
	$fdata["Label"] = GetFieldLabel("assegnatoadminv80_locking","action");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "action";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`action`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataassegnatoadminv80_locking["action"] = $fdata;
		$tdataassegnatoadminv80_locking[".searchableFields"][] = "action";


$tables_data["assegnatoadminv80_locking"]=&$tdataassegnatoadminv80_locking;
$field_labels["assegnatoadminv80_locking"] = &$fieldLabelsassegnatoadminv80_locking;
$fieldToolTips["assegnatoadminv80_locking"] = &$fieldToolTipsassegnatoadminv80_locking;
$placeHolders["assegnatoadminv80_locking"] = &$placeHoldersassegnatoadminv80_locking;
$page_titles["assegnatoadminv80_locking"] = &$pageTitlesassegnatoadminv80_locking;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["assegnatoadminv80_locking"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["assegnatoadminv80_locking"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_assegnatoadminv80_locking()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	`table`,  	startdatetime,  	confirmdatetime,  	`keys`,  	sessionid,  	userid,  	`action`";
$proto0["m_strFrom"] = "FROM assegnatoadminv80_locking";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "assegnatoadminv80_locking",
	"m_srcTableName" => "assegnatoadminv80_locking"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "assegnatoadminv80_locking";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "table",
	"m_strTable" => "assegnatoadminv80_locking",
	"m_srcTableName" => "assegnatoadminv80_locking"
));

$proto8["m_sql"] = "`table`";
$proto8["m_srcTableName"] = "assegnatoadminv80_locking";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "startdatetime",
	"m_strTable" => "assegnatoadminv80_locking",
	"m_srcTableName" => "assegnatoadminv80_locking"
));

$proto10["m_sql"] = "startdatetime";
$proto10["m_srcTableName"] = "assegnatoadminv80_locking";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "confirmdatetime",
	"m_strTable" => "assegnatoadminv80_locking",
	"m_srcTableName" => "assegnatoadminv80_locking"
));

$proto12["m_sql"] = "confirmdatetime";
$proto12["m_srcTableName"] = "assegnatoadminv80_locking";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "keys",
	"m_strTable" => "assegnatoadminv80_locking",
	"m_srcTableName" => "assegnatoadminv80_locking"
));

$proto14["m_sql"] = "`keys`";
$proto14["m_srcTableName"] = "assegnatoadminv80_locking";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "sessionid",
	"m_strTable" => "assegnatoadminv80_locking",
	"m_srcTableName" => "assegnatoadminv80_locking"
));

$proto16["m_sql"] = "sessionid";
$proto16["m_srcTableName"] = "assegnatoadminv80_locking";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "userid",
	"m_strTable" => "assegnatoadminv80_locking",
	"m_srcTableName" => "assegnatoadminv80_locking"
));

$proto18["m_sql"] = "userid";
$proto18["m_srcTableName"] = "assegnatoadminv80_locking";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "action",
	"m_strTable" => "assegnatoadminv80_locking",
	"m_srcTableName" => "assegnatoadminv80_locking"
));

$proto20["m_sql"] = "`action`";
$proto20["m_srcTableName"] = "assegnatoadminv80_locking";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto22=array();
$proto22["m_link"] = "SQLL_MAIN";
			$proto23=array();
$proto23["m_strName"] = "assegnatoadminv80_locking";
$proto23["m_srcTableName"] = "assegnatoadminv80_locking";
$proto23["m_columns"] = array();
$proto23["m_columns"][] = "id";
$proto23["m_columns"][] = "table";
$proto23["m_columns"][] = "startdatetime";
$proto23["m_columns"][] = "confirmdatetime";
$proto23["m_columns"][] = "keys";
$proto23["m_columns"][] = "sessionid";
$proto23["m_columns"][] = "userid";
$proto23["m_columns"][] = "action";
$obj = new SQLTable($proto23);

$proto22["m_table"] = $obj;
$proto22["m_sql"] = "assegnatoadminv80_locking";
$proto22["m_alias"] = "";
$proto22["m_srcTableName"] = "assegnatoadminv80_locking";
$proto24=array();
$proto24["m_sql"] = "";
$proto24["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto24["m_column"]=$obj;
$proto24["m_contained"] = array();
$proto24["m_strCase"] = "";
$proto24["m_havingmode"] = false;
$proto24["m_inBrackets"] = false;
$proto24["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto24);

$proto22["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto22);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="assegnatoadminv80_locking";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_assegnatoadminv80_locking = createSqlQuery_assegnatoadminv80_locking();


	
		;

								

$tdataassegnatoadminv80_locking[".sqlquery"] = $queryData_assegnatoadminv80_locking;

$tableEvents["assegnatoadminv80_locking"] = new eventsBase;
$tdataassegnatoadminv80_locking[".hasEvents"] = false;

?>